Topic: Ubuntu

Running php 5 and php 7 on same environment (Ubuntu) 0


Why we need php 5 and php 7 on same PC?

Recent releases of Magento 2 mentioned that they have officially started to support php 7 and they are heading more towards it. Many of us including myself working on several projects which includes Magento v1 and v2. So time to time we are required to switch between projects. The question arises when we try to switch from Magento 1 project to Magento 2. Some functions of the Magento 1 doesn’t work properly or gives errors when running on php 7. So it’ll be convenient to run Magento 1 with php 5. Magento 2 could run on php 5.6 however if we are able to run it on php 7, Then that would be great. This solution comes in handy when addressing both these problems.

There are some issues when using this via CLI and that is also addressed in one of the below sections. (more…)